Gompertz {VGAM} | R Documentation

## The Gompertz Distribution

### Description

Density, cumulative distribution function, quantile function and random generation for the Gompertz distribution.

### Usage

    dgompertz(x, scale = 1, shape, log = FALSE)
    pgompertz(q, scale = 1, shape, lower.tail = TRUE, log.p = FALSE)
    qgompertz(p, scale = 1, shape, lower.tail = TRUE, log.p = FALSE)
    rgompertz(n, scale = 1, shape)

### Arguments

`x, q` | vector of quantiles.
`p` | vector of probabilities.
`n` | number of observations. Same as in `runif`.
`log` | Logical. If `log = TRUE` then the logarithm of the density is returned.
`lower.tail, log.p` | Same meaning as in `pnorm` or `qnorm`.
`scale, shape` | positive scale and shape parameters.

### Details

See `gompertz` for details.

### Value

`dgompertz` gives the density, `pgompertz` gives the cumulative distribution function, `qgompertz` gives the quantile function, and `rgompertz` generates random deviates.

### Author(s)

T. W. Yee and Kai Huang

### See Also

`gompertz`, `dgumbel`, `dmakeham`.

### Examples

    probs <- seq(0.01, 0.99, by = 0.01)
    Shape <- exp(1); Scale <- exp(1)
    max(abs(pgompertz(qgompertz(p = probs, Scale, shape = Shape),
                      Scale, shape = Shape) - probs))  # Should be 0

    ## Not run:  x <- seq(-0.1, 1.0, by = 0.001)
    plot(x, dgompertz(x, Scale,shape = Shape), type = "l", col = "blue", las = 1,
         main = "Blue is density, orange is cumulative distribution function",
         sub = "Purple lines are the 10,20,...,90 percentiles",
         ylab = "")
    abline(h = 0, col = "blue", lty = 2)
    lines(x, pgompertz(x, Scale, shape = Shape), col = "orange")
    probs <- seq(0.1, 0.9, by = 0.1)
    Q <- qgompertz(probs, Scale, shape = Shape)
    lines(Q, dgompertz(Q, Scale, shape = Shape), col = "purple",
          lty = 3, type = "h")
    pgompertz(Q, Scale, shape = Shape) - probs  # Should be all zero
    abline(h = probs, col = "purple", lty = 3)
    ## End(Not run)

[Package VGAM version 1.0-4 Index]